Bug 489299 - Printing via Samba on Fedora 10 does not work due to wrong startup procedure through init process
Printing via Samba on Fedora 10 does not work due to wrong startup procedure ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
10
All Linux
low Severity urgent
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516996
  Show dependency treegraph
 
Reported: 2009-03-09 08:03 EDT by Dietmar Schnabel
Modified: 2009-12-18 03:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:58:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dietmar Schnabel 2009-03-09 08:03:07 EDT
Description of problem:

After a upgrade from Fedora 8 to Fedora 10 on my wife's PC printing from another PC (Windows or Linux) through samba does not work anymore. I have fixed the problem by changing the sequence of the boot process to start samba after cups is being started.

(basically I swapped the two script names:

cd /etc/rc.d/rc5.d/
[root@steffi rc5.d]# ls -al *smb* *cups*
lrwxrwxrwx 1 root root 13  9. Mär 12:36 S91smb -> ../init.d/smb
lrwxrwxrwx 1 root root 14  6. Mär 06:53 S98cups -> ../init.d/cups

mv S98cups S91cups
mv S91smb S98smb

After a restart printing works again - of course also restarting samba after cups also fixed the issue (though temporary only)



Version-Release number of selected component (if applicable):

Fedora 10 is fully updated and on current status:

cups-1.3.9-8.fc10.i386
samba-3.2.8-0.27.fc10.i386

How reproducible:

Simply run system-config-printer and try to share the printer. Even if you previously shared the printer through system-config-printer it will show the printer as:


Steps to Reproduce:
1. share a printer in system-config-printer / also enable in server settings
2. restart the server (with cups + smb enabled (without swapping of links)
3. start system-config-printer again - look at properties of one printer
4. within policies you'll find the printer shows 'Not published - see server settings'
  
Actual results:

Printing from external print client not possible

Expected results:

Printing through samba should work

Additional info:
Comment 1 Bug Zapper 2009-11-18 04:29:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ales Zelinka 2009-11-19 05:41:45 EST
Just a quick check - the rc scripts now look like this on f12: 

# ls -al /etc/rc5.d/{*smb*,*cups*}
lrwxrwxrwx. 1 root root 14 2009-11-19 11:35 /etc/rc5.d/S25cups -> ../init.d/cups
lrwxrwxrwx. 1 root root 13 2009-11-19 11:35 /etc/rc5.d/S91smb -> ../init.d/smb

Seems fixed there.
Comment 3 Bug Zapper 2009-12-18 03:58:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.